%define kver 2.4.26
%define krel alt2

Summary: The userland tools of the openMosix-system
Name: openmosix-tools
Version: 0.3.6
Release: alt3
Url: http://openmosix.sourceforge.net/
License: GPL
Group: System/Kernel and hardware

Source0: %name-%version.tar.gz
Packager: Ivan Fedorov <ns@altlinux.ru>

BuildPreReq: kernel-headers-modules-om-smp >= %kver-%krel

# Automatically added by buildreq on Thu Jul 08 2004
BuildRequires: gcc-c++ libncurses-devel libstdc++-devel libtinfo-devel

%description
openMosix is a Linux kernel extension for single-system image
clustering. This package contains the necessary user-land tools for an
openMosix cluster. It also contains openMosix versions of ps and top
(mps and mtop) that has an additional column which shows on what node
the processes are running.

%prep
%setup

%build
%__aclocal
%__autoconf
%__autoheader
%__automake --copy --gnu --add-missing
%configure --with-kerneldir=/usr/src/linux-%kver-om-smp --with-mosrundir=/usr/bin
%__make

%install
%__mkdir -p  %buildroot%_initdir
%__make DESTDIR=%buildroot install
mv %buildroot/etc/init.d/openmosix %buildroot%_initdir

%post
%post_ldconfig
%post_service openmosix
if [ "$1" = "1" ] ; then  # first install
   # Tell user to edit mosix.map
   echo -e "\nEdit /etc/openmosix.map if you don't want to use the autodiscovery daemon.\n"
fi

%preun
%preun_service openmosix
%postun
%postun_ldconfig
%files
%dir /etc/openmosix
%config(noreplace) /etc/openmosix.map
%config(noreplace) /etc/openmosix/openmosix.config
%config %_initdir/openmosix
%doc /usr/share/man/man1/*
%_bindir/*
%_libdir/*
%_sbindir/*
%_includedir/*

%changelog
* Tue Aug 10 2004 Ivan Fedorov <ns@altlinux.ru> 0.3.6-alt3
- Fixing spec

* Wed Jul 14 2004 Ivan Fedorov <ns@altlinux.ru> 0.3.6-alt2
- Rebuild with new kernel

* Thu Jul 08 2004 Ivan Fedorov <ns@altlinux.ru> 0.3.6-alt1
- Spec rewritten from scratch
